import request from '@/utils/request'

// 查询村级区域列表
export function listCjqy(query) {
  return request({
    url: '/business/cjqy/list',
    method: 'get',
    params: query
  })
}

// 查询村级区域详细
export function getCjqy(fid) {
  return request({
    url: '/business/cjqy/' + fid,
    method: 'get'
  })
}

// 查询村级区域详细
export function getCjqyDetail(fid) {
  return request({
    url: '/business/cjqy/detail/' + fid,
    method: 'get'
  })
}


// 新增村级区域
export function addCjqy(data) {
  return request({
    url: '/business/cjqy/add',
    method: 'post',
    data: data
  })
}

// 修改村级区域
export function updateCjqy(data) {
  return request({
    url: '/business/cjqy/update',
    method: 'post',
    data: data
  })
}

// 删除村级区域
export function delCjqy(fid) {
  return request({
    url: '/business/cjqy/delete/' + fid,
    method: 'get'
  })
}

// 打印村级区域
export function printCjqy(query) {
  return request({
    url: '/business/cjqy/print',
    method: 'get',
    params: query
  })
}
